[mypy]
# Mypy configuration:
# https://mypy.readthedocs.io/en/latest/config_file.html
python_version = 3.9

allow_redefinition = False
check_untyped_defs = True
disallow_untyped_decorators = True
disallow_any_explicit = True
disallow_any_generics = True
disallow_untyped_calls = True
ignore_errors = False
ignore_missing_imports = True
implicit_reexport = False
local_partial_types = true
strict_optional = True
strict_equality = True
no_implicit_optional = True
warn_unused_ignores = True
warn_redundant_casts = True
warn_unused_configs = True
warn_unreachable = True
warn_no_return = True
mypy_path = .
files = .
exclude = api\/.*

plugins =
  mypy_django_plugin.main

[mypy.plugins.django-stubs]
django_settings_module = core.settings

[mypy-api.*]
ignore_errors = True

[mypy-*.migrations.*]
# Django migrations should not produce any errors:
ignore_errors = True

[mypy-*.tests.*]
# Django tests should not produce any errors:
ignore_errors = True

[mypy-*.models]
# FIXME: remove this line, when `django-stubs` will stop
# using `Any` inside.
disallow_any_explicit = False